package com.caimei365.manager.controller.caimei;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmSecondInfo;
import com.caimei365.manager.service.caimei.CmSecondInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 二手小程序信息中心文章(CmSecondInfo)表控制层
 */
@RestController
@RequestMapping("cmSecondInfo")
public class CmSecondInfoController {
    /**
     * 服务对象
     */
    @Resource
    private CmSecondInfoService cmSecondInfoService;

    /**
     * 分页查询
     *
     * @param cmSecondInfo 筛选条件
     * @return 查询结果
     */
    @GetMapping("/list")
    public ResponseJson<PaginationVo<CmSecondInfo>> queryByPage(String title,
                                                                @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return cmSecondInfoService.queryByPage(title, pageNum, pageSize);
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("/form")
    public ResponseJson<CmSecondInfo> queryById(Integer id) {
        return cmSecondInfoService.queryById(id);
    }


    @PostMapping("/edit")
    public ResponseJson edit(@RequestBody CmSecondInfo cmSecondInfo) {
        if (cmSecondInfo.getId() == null) {
            cmSecondInfoService.insert(cmSecondInfo);
        } else {
            cmSecondInfoService.update(cmSecondInfo);
        }
        return ResponseJson.success();
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @GetMapping("/del")
    public ResponseJson deleteById(Integer id) {
        return cmSecondInfoService.deleteById(id);
    }

}

