package com.caimei365.manager.controller.caimei.product;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.brand.CmBrand;
import com.caimei365.manager.entity.caimei.product.CmSecondHandDetail;
import com.caimei365.manager.entity.caimei.product.Product;
import com.caimei365.manager.service.caimei.product.ProductService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * 商品管理接口
 */
@RestController
@RequestMapping("/product")
public class ProductApi {

    @Resource
    private ProductService productService;

    @GetMapping("/brand/list")
    public ResponseJson<List<CmBrand>> brandList() {
        return productService.brandList();
    }

    @GetMapping("/second/list")
    public ResponseJson<PaginationVo<Product>> secondProductList(Product product,
                                                           @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                           @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.secondProductList(product, pageNum, pageSize);
    }

    @PostMapping("/update/status")
    public ResponseJson updateStatus(@RequestBody Product product) {
        return productService.updateStatus(product);
    }

    @PostMapping("/update/shop")
    public ResponseJson updateShop(@RequestBody Product product) {
        return productService.updateShop(product);
    }

    @PostMapping("/save/second")
    public ResponseJson saveSecond(@RequestBody CmSecondHandDetail product) {
        return productService.saveSecond(product);
    }

    @GetMapping("/second/detail")
    public ResponseJson<CmSecondHandDetail> secondDetail(Integer productId) {
        return productService.secondDetail(productId);
    }
}
