package com.caimei365.manager.controller.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmShop;
import com.caimei365.manager.service.caimei.user.ShopService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 供应商管理接口
 */
@RestController
@RequestMapping("/shop")
public class ShopApi {


    @Resource
    private ShopService shopService;

    /**
     * 编辑二手小程序区域经理（供应商）
     *
     * @param shop
     * @return
     */
    @PostMapping("/add/shop")
    public ResponseJson addShop(@RequestBody CmShop shop) {
        return shopService.addShop(shop);
    }

    @PostMapping("/updateStatus")
    public ResponseJson updateStatus(@RequestBody CmShop shop) {
        if (null == shop.getShopId()) {
            return ResponseJson.error("ID不能为空！");
        }
        return shopService.updateStatus(shop);
    }

    @GetMapping("/form")
    public ResponseJson shopForm(Integer shopId) {
        return shopService.shopForm(shopId);
    }

    @GetMapping("/update/password")
    public ResponseJson updatePassword(String password, Integer userId) {
        return shopService.updatePassword(password, userId);
    }

    @GetMapping("/list")
    public ResponseJson<PaginationVo<CmShop>> shopList(String shopName, String mobile,
                                                       @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                       @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return shopService.shopList(shopName, mobile, pageNum, pageSize);
    }

}
