package com.caimei365.manager.dao;


import com.caimei365.manager.entity.caimei.CmSecondInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface CmSecondInfoDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CmSecondInfo queryById(Integer id);

    /**
     * 查询指定行数据
     * @return 对象列表
     */
    List<CmSecondInfo> queryAllByLimit(String title);


    /**
     * 新增数据
     *
     * @param cmSecondInfo 实例对象
     * @return 影响行数
     */
    int insert(CmSecondInfo cmSecondInfo);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<CmSecondInfo> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<CmSecondInfo> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<CmSecondInfo> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<CmSecondInfo> entities);

    /**
     * 修改数据
     *
     * @param cmSecondInfo 实例对象
     * @return 影响行数
     */
    int update(CmSecondInfo cmSecondInfo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

}

