package com.caimei365.manager.dao.page;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.page.NewPageAdvertisementImage;
import com.caimei365.manager.entity.caimei.page.NewPageTopAdvertisementImage;
import com.caimei365.manager.entity.caimei.page.NewPageZone;
import com.caimei365.manager.entity.caimei.page.NewPageZoneImage;
import com.caimei365.manager.entity.caimei.product.Product;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NewPageZoneDao {

    List<NewPageZone> getZoneList();

    void saveZone(NewPageZone pageZone);

    void updateZone(NewPageZone pageZone);

    void delZone(Integer id);

    void updateEnabledStatus(@Param("id") Integer id, @Param("status") Integer status, @Param("type") Integer type);

    void updateSort(@Param("id") Integer id, @Param("sort") Integer sort);

    List<Product> getZoneProductList(@Param("id") Integer id, @Param("shopName") String shopName, @Param("productId") Integer productId);

    void delZoneProduct(@Param("id") Integer id, @Param("ids") List<Integer> ids);

    void addZoneProduct(@Param("id") Integer id, @Param("ids") List<Integer> ids);

    void updateProductSort(@Param("id") Integer id, @Param("productId") Integer productId, @Param("sort") Integer sort);

    void delProducts(Integer id);

    void delImages(Integer id);

    List<NewPageZoneImage> getZoneImageList(Integer id);

    void saveZoneImage(NewPageZoneImage pageZoneImage);

    void updateZoneImage(NewPageZoneImage pageZoneImage);

    void delImageById(Integer imageId);

    void updateImageSort(@Param("imageId") Integer imageId, @Param("sort") Integer sort);

    void updateImageStatus(@Param("imageId") Integer imageId, @Param("status") Integer status, @Param("type") Integer type);

    NewPageZoneImage getImage(Integer imageId);

    List<Product> getRecommendList(@Param("shopName") String shopName, @Param("productId") Integer productId);

    void addRecommendProduct(List<Integer> list);

    void recommendDel(List<Integer> list);

    void recommendSort(@Param("productId") Integer productId, @Param("sort") Integer sort);

    List<NewPageAdvertisementImage> advertisementList();

    void saveAdvertisement(NewPageAdvertisementImage image);

    void updateAdvertisement(NewPageAdvertisementImage image);

    void advertisementSort(@Param("id") Integer id, @Param("sort") Integer sort);

    void advertisementDel(Integer id);

    List<NewPageTopAdvertisementImage> topAdvertisementList();

    void saveTopAdvertisement(NewPageTopAdvertisementImage image);

    void updateTopAdvertisement(NewPageTopAdvertisementImage image);

    void delTopAdvertisement(Integer id);

    void updateTopStatus(@Param("id") Integer id, @Param("status") Integer status, @Param("type") Integer type);

    NewPageAdvertisementImage getAdvertisementForm(Integer id);

    NewPageTopAdvertisementImage getTopAdvertisementForm(Integer id);

    List<Product> selectProductList(@Param("id") Integer id, @Param("productId") Integer productId, @Param("shopName") String shopName, @Param("productName") String productName);

    List<Product> recommendProductList(@Param("productId") Integer productId, @Param("shopName") String shopName, @Param("productName") String productName);
}
