package com.caimei365.manager.dao.productArchive;

import java.util.List;

import com.caimei365.manager.entity.caimei.productArchive.CmProductArchive;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 商品资料库Mapper接口
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Mapper
public interface CmProductArchiveMapper
{
    /**
     * 通过对象查询商品资料库列表
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库集合
     */
    List<CmProductArchive> getCmProductArchiveList(CmProductArchive cmProductArchive);

    /**
     * 通过Id查询商品资料库对象
     *
     * @param id 商品资料库主键
     * @return 商品资料库
     */
    CmProductArchive getCmProductArchiveById(String id);

    /**
     * 通过对象查询商品资料库对象
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库
     */
    CmProductArchive getByCmProductArchive(CmProductArchive cmProductArchive);

    /**
     * 通过对象查询商品资料库Id
     *
     * @param cmProductArchive 商品资料库
     * @return String
     */
    String getById(CmProductArchive cmProductArchive);


    /**
     * 通过对象查询商品资料库记录总数
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库Integer
     */
    int getCount(CmProductArchive cmProductArchive);

    /**
     * 新增商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 结果
     */
    int addCmProductArchive(CmProductArchive cmProductArchive);

    /**
     * 修改商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 结果
     */
    int updateCmProductArchive(CmProductArchive cmProductArchive);

    /**
     * 删除商品资料库
     *
     * @param id 商品资料库主键
     * @return 结果
     */
    int delCmProductArchiveById(String id);

    /**
     * 批量删除商品资料库
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int delCmProductArchive(CmProductArchive cmProductArchive);

}
