package com.caimei365.manager.dao.providers;

import java.util.List;

import com.caimei365.manager.entity.caimei.cmUser.CmClub;
import com.caimei365.manager.entity.caimei.providers.ProviderTask;
import com.caimei365.manager.entity.caimei.providers.ServiceProviderModel;
import com.caimei365.manager.entity.caimei.product.Product;
import com.caimei365.manager.entity.caimei.providers.CmProviderTeam;
import com.caimei365.manager.entity.po.UploadFilePo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Mapper
public interface CmProvidersMapper {
    /**
     * 通过对象查询列表
     *
     * @param cmProviders
     * @return 集合
     */
    List<ServiceProviderModel> getCmProvidersList(ServiceProviderModel cmProviders);

    /**
     * 通过Id查询对象
     *
     * @param id 主键
     * @return
     */
    ServiceProviderModel getCmProvidersById(Integer id);

    /**
     * 通过对象查询对象
     *
     * @param cmProviders
     * @return
     */
    ServiceProviderModel getByCmProviders(ServiceProviderModel cmProviders);

    /**
     * 通过对象查询记录总数
     *
     * @param cmProviders
     * @return Integer
     */
    int getCount(ServiceProviderModel cmProviders);

    /**
     * 新增
     *
     * @param cmProviders
     * @return 结果
     */
    int addCmProviders(ServiceProviderModel cmProviders);

    /**
     * 修改
     *
     * @param cmProviders
     * @return 结果
     */
    int updateCmProviders(ServiceProviderModel cmProviders);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    int delCmProvidersById(String id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    List<UploadFilePo> getProvidersUploadFileList(@Param("ids") String ids, @Param("type") Integer type);

    List<Product> getProductList(@Param("providerId") Integer providerId, @Param("shopName") String shopName, @Param("productName") String productName,
                                 @Param("productId") Integer productId, @Param("shopId") Integer shopId);

    void addProviderProduct(@Param("providerId") Integer providerId, @Param("productIds") List<String> productIds);

    List<Product> getProviderProductList(@Param("providerId") Integer providerId, @Param("productName") String productName, @Param("productId") Integer productId);

    void delProviderProduct(@Param("providerId") Integer providerId, @Param("productId") Integer productId);

    void updatePass(@Param("userId") Integer userId, @Param("password") String password);

    List<CmProviderTeam> getProviderTeam();

    List<CmClub> findClub(CmClub club);

    void addTeam(CmProviderTeam team);

    void delTeam(Integer id);

    void delTeamGroup(Integer id);

    List<ServiceProviderModel> groupList(Integer id);

    void delGroup(@Param("teamId") Integer teamId, @Param("spId") Integer spId);

    void addGroup(@Param("teamId") Integer teamId, @Param("spId") List<String> spId);

    void updateTeam(CmProviderTeam team);

    List<ServiceProviderModel> addGroups(@Param("mobile") String mobile, @Param("name") String name);

    void updateLeader(CmProviderTeam team);

    void addTask(ProviderTask task);

    void updateTask(ProviderTask task);

    void assignTask(@Param("id") Integer id, @Param("strToList") List<String> strToList);

    List<ProviderTask> taskList(String shopName);

    List<ServiceProviderModel> taskProviderList(@Param("taskId") Integer taskId, @Param("name") String name, @Param("mobile") String mobile);

    List<ServiceProviderModel> providerReceiveList(@Param("taskId") Integer taskId, @Param("name") String name, @Param("mobile") String mobile);

    void taskProviderDel(@Param("taskId") Integer taskId, @Param("serviceProviderId") Integer serviceProviderId);

    ProviderTask getTaskDetail(Integer taskId);

    List<Product> getTaskProducts(@Param("name") String name, @Param("shopName") String shopName, @Param("productId") Integer productId);

    void auditTask(@Param("taskId") Integer taskId, @Param("serviceProviderId") Integer serviceProviderId, @Param("auditStatus") Integer auditStatus);
}
