package com.caimei365.manager.entity.caimei;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 相关图片对象 cm_related_image
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Accessors(chain = true)
@Data
@Alias("CmRelatedImage")
public class CmRelatedImage implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 分类：1分销报备凭证图片(cm_reporting_member)分类：1分销报备凭证图片(cm_reporting_member)
     * ,2 (cm_providers)服务商相关简介图
     * ,3 (cm_providers)服务商相关资料文件
     * ,4 (cm_providers_contract)服务商相关合同文件
     */
    private String type;

    /**
     * 归属者Id（type字段表Id）
     */
    private String authorId;

    /**
     * 原文件名
     */
    private String fileName;
    /**
     * 图片
     */
    private String image;

    /**
     * 删除状态 0正常，其他删除
     */
    private Integer delFlag;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


}



