package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户信息对象 user
 *
 * @author Kaick
 * @date 2023-12-14
 */
@Accessors(chain = true)
@Data
@Alias("User")
public class User implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private String userID;

    /**
     * 采美组织默认为0,具体对应cm_mall_organize表ID
     */
    private Integer userOrganizeID;

    /**
     * 企业账号名【供应商，目前只存数据不能用于登录】
     */
    private String account;

    /**
     * 个人手机号码（协销）
     */
    private String mobile;

    /**
     * 企业绑定手机号（机构，供应商）
     */
    private String bindMobile;

    /**
     * 用户权限 0游客 1 普通用户 2 会员机构 3 供应商 4 协销 5 普通机构 6 呵呵商城用户【V6.2.0版本后0和1不存在】
     */
    private Integer userPermission;

    /**
     * 用户身份 0、个人 1、协销 2、会员机构 3、供应商 4.普通机构 6、呵呵商城用户，7分销人员，8 分销人员生成机构【V6.2.0版本后0不存在】
     */
    private Integer userIdentity;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户名（机构联系人，供应商简称）
     */
    private String userName;

    /**
     * 真实姓名（供应商的联系人，机构不使用）
     */
    private String realName;

    /**
     * 注册来源: 0网站 1小程序 3后台
     */
    private String source;

    /**
     * 头像
     */
    private String image;

    /**
     * 密码
     */
    private String password;

    /**
     * 名称（机构名称，供应商的公司名称）
     */
    private String name;

    /**
     * 见枚举UserType(1供应商,2协销经理,32协销,3会员机构,4普通机构,6呵呵商城)
     */
    private String registerUserTypeID;

    /**
     * 供应商状态， 3待审核， 90已上线，91已下线，92审核不通过
     */
    private Integer manufacturerStatus;

    /**
     * 供应商Id
     */
    private Integer shopID;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核备注
     */
    private String auditNote;

    /**
     * 注册时间
     */
    private String registerTime;

    /**
     * 注册ip
     */
    private String registerIP;

    /**
     * 注册IP所属地
     */
    private String ipAddress;

    /**
     * 登录时间
     */
    private String loginTime;

    /**
     * 登录ip
     */
    private String loginIP;

    /**
     * 用户状态，1正常，0冻结
     */
    private String validFlag;

    /**
     * 会所状态，见表c_clubstatus或枚举ClubStatus
     */
    private Integer clubStatus;

    /**
     * 会所Id
     */
    private Integer clubID;

    /**
     * 同意协议标志
     */
    private String agreeFlag;

    /**
     * 创客状态
     */
    private Integer serviceProviderStatus;

    /**
     * 创客Id
     */
    private Integer serviceProviderID;

    /**
     * 账户线下余额
     */
    private BigDecimal userMoney;

    /**
     * 账户实际可用余额（提交订单未支付的被抵扣后的余额）
     */
    private BigDecimal ableUserMoney;

    /**
     * 退出时间
     */
    private String logoffTime;

    /**
     *
     */
    private String appKey;

    /**
     *
     */
    private String appSecret;

    /**
     * 扫描标志(4 CRM拉上来的会所) 0待扫描 1 已扫描 2已上线
     */
    private Integer scanFlag;

    /**
     * 采美豆数量
     */
    private Integer userBeans;

    /**
     * 是否已经引导过(供应商首次登陆操作引导/普通机构升级引导)
     */
    private Integer guideFlag;

    /**
     *
     */
    private Integer loginFailTime;

    /**
     *
     */
    private String tipStatus;

    /**
     * 账户线上余额
     */
    private BigDecimal onlineMoney;

    /**
     * 微信unionId
     */
    private String unionId;

    /**
     * 小程序openid
     */
    private String openId;


}



