package com.caimei365.manager.entity.caimei.cmUser;

import com.caimei365.manager.entity.caimei.product.Product;
import com.caimei365.manager.entity.caimei.providers.ServiceProviderModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/11
 */
@Data
public class VisitRemarkVo {

    /**
     * 潜在用户备注id
     */
    private Integer remarksId;
    /**
     * 咨询人id
     */
    private String questionManId;

    /**
     * 协销id
     */
    private Integer serviceProviderId;
    /**
     * 协销姓名
     */
    private String serviceName;
    /**
     * 同步机构名称
     */
    private String clubName;
    /**
     * 同步 clubid
     */
    private Integer clubId;
    /**
     * 总咨询类别
     */
    private List<CmConsulttype> consults;
    /**
     * 记录的咨询类别
     */
    private String consultType;
    /**
     * 咨询类别
     */
    private String consult;
    /**
     * 总小组
     */
    private List<CmSaleMan> teams;
    /**
     * 组长id/管理员id
     */
    private Integer leaderId;
    /**
     * 管理员姓名
     */
    private String leaderName;

    private String startAddTime;

    private String endAddTime;
    /**
     * 备注/关键词
     */
    private String remarks;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
    /**
     * 咨询人名字
     */
    private String questionMan;
    /**
     * 同步时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date concactTime;

    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;

    /**
     * 是否同步 1已同步2未同步
     */
    private String concat;

    /**
     * cm_visitor_remarks协销列表
     */
    private List<ServiceProviderModel> serverList;

    /**
     * 机构类型
     */
    private String clubType;
    /**
     * 价格敏感度
     */
    private String pinceSensitve;
    /**
     * 意向程度
     */
    private String satisfied;
    /**
     * 跟进状态
     */
    private String followup;
    /**
     * 额外说明
     */
    private String extra;

    /**
     * 非持久化字段旧协销名
     */
    private String oldName;
    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 商品信息
     */
    private List<Product> product;
    private String productName; //咨询商品名称

    private String mainImage;//咨询商品主图

    private String shopName;//供应商名称

    private String productMainImage;//关联报备商品主图

    private String proName;//关联报备商品名称

    private String reportText;//关联事由

    private String auditName;

    private Integer reportStatus;//状态 1.已审核 2.待审核 3.审核未通过

    private String auditTime;//审核时间

    /**
     * 报备记录id
     */
    private Integer reportId;

    private List<CmReport> reports;
}
