package com.caimei365.manager.entity.caimei.product;


import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class CmSecondHandDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    private String mainImage;

    private Integer publishMethod;

    private Integer shopId;
    /**
     * 商品ID、(product表productID)
     */
    private Integer productId;
    /**
     * 是否已售 0和空未出售，1已出售
     */
    private Integer sold;
    /**
     * 二手商品分类，1二手仪器，2临期产品，3其他
     */
    private Integer secondHandType;
    /**
     * 二手仪器分类的类型，1轻光电、2重光电、3耗材配件(仅适用于二手仪器分类多个用英文逗号分分隔)
     */
    private Integer instrumentType;
    /**
     * 出厂日期格式：2020年6月
     */
    private String fixedYears;
    /**
     * 产品到期日格式：2020年6月（仅适用于临期产品）
     */
    private String maturityYears;
    /**
     * 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)
     */
    private Integer detailTalkFlag;
    /**
     * 联系人名字
     */
    private String contactName;
    /**
     * 联系方式
     */
    private String contactMobile;

    /**
     * 设备类型：1医美、2非医美
     */
    private Integer secondProductType;
    /**
     * 省市区（地址前部分）
     */
    private String provinceCityDistrict;
    /**
     * 详细联系地址
     */
    private String address;
    /**
     * 商品成色
     */
    private String productQuality;

    /**
     * 发布身份1.个人身份，2公司身份
     */
    private Integer publishIdentity;


    /**
     * 品牌名称（选择其它品牌(id:161)时手填品牌）
     */
    private String brandName;
    /**
     * 商品浏览量
     */
    private Integer viewingNum;
    /**
     * 商品详情
     */
    private String productDetails;
    /**
     * 后台二手商品发布人员名称
     */
    private String publisher;

    /**
     * 营业执照照片
     */
    private String licenseImage;

    /**
     * 商品状态，见表c_productstatus或枚举ProductStatus，0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已冻结
     */
    private String validFlag;
    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private String productCategory;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 机构价、交易价
     */
    private Double price;

    private Integer brandId;
    /**
     *     信息来源 1网站  2CRM  3后台
     */
    private String source;
    /**
     * 是否显示联系人，1不显示，2显示
     */
    private String showContactFlag;

    /**
     * 省、市、区
     */
    private String province;
    private String city;
    private String town;
    private Integer townId;
    private Integer cityId;
    private Integer provinceId;

    private List<String> productImages;
    /**
     * 商品可见度：（3:所有人可见，2:普通机构可见，1:会员机构可见）
     */
    private String visibility;
    /**
     *发布类型1.二手预成交商品 2.二手估价商品
     */
    private Integer announType;
}
