package com.caimei365.manager.entity.caimei.productArchive;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 商品资料内容对象 cm_product_archive_content
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Accessors(chain = true)
@Data
@Alias("CmProductArchiveContent")
public class CmProductArchiveContent implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 商品资料库id
     */
    private Integer productArchiveId;

    /**
     * 资料标题
     */
    private String title;

    /**
     * 资料类型：
     * 1图片资料，
     * 2视频资料，
     * 3文件资料，
     * 4文本资料
     * 5话术资料
     */
    private String type;

    /**
     * 内容
     */
    private String content;
    /**
     * 创建人
     */
    private String createBy;

    /**
     * 用户阶段状态：
     * 1认知阶段、
     * 2兴趣阶段、
     * 3决策阶段、
     * 4购买阶段
     */
    private Integer stageStatus;

    /**
     * 所有状态：
     * 1企业，
     * 2个人
     */
    private Integer allStatus;

    /**
     * 标签库ids
     */
    private String labelIds;
    /**
     * 标签库关键词s
     */
    private String keywords;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    //点击量统计
    /**
     * 开始点击量时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startPvCreateTime;
    /**
     * 结束点击量时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endPvCreateTime;
    /**
     * 点击量
     */
    private Integer pv;
    /**
     * 点击量
     */
    private List<CmProductArchiveFile> archiveFiles;


}



