package com.caimei365.manager.entity.caimei.svip;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/7
 */
@Data
public class CmSvipProduct {

    private Integer id;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 会员价类型：1折扣，2优惠价
     */
    private Integer priceType;
    /**
     * 会员折扣
     */
    private BigDecimal discount;
    /**
     * 会员价
     */
    private BigDecimal discountPrice;
    /**
     * 排序值
     */
    private Integer sort;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品机构价
     */
    private BigDecimal price;
    /**
     * 是否含税   0不含税，1含税
     */
    private String includedTax;
    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;
    /**
     * 机构开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private String taxPoint;
    /**
     * 供应商开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private String supplierTaxPoint;
    /**
     * 成本价
     */
    private String costPrice;
    /**
     * 比例成本百分比
     */
    private String costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private String costCheckFlag;
    /**
     * 超级会员价标识
     */
    private Integer svipPriceFlag;
    /**
     * 优惠状态 1已下架 0已上架
     */
    private Integer status;
    /**
     * 商品sku
     */
    private List<CmSku> skus;
}
