package com.caimei365.manager.service.caimei;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.KeyWord;
import com.caimei365.manager.entity.caimei.productArchive.CmProductArchive;
import com.caimei365.manager.entity.po.KeyPo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/23
 */
public interface HomeService {
    /**
     * 仪表盘数据
     */
    ResponseJson<Map<String, Object>> getDashboardData();
    /**
     * 机构统计
     */
    ResponseJson<Map<String, Object>> getClubCount(Date startCreateTime, Date endCreateTime);
    /**
     * 机构趋势
     */
    ResponseJson<Map<String, Object>> getClubTrend(Date startCreateTime, Date endCreateTime);
    /**
     * 访问统计
     */
    ResponseJson<Map<String, Object>> getAccessRecordCount(Date startCreateTime, Date endCreateTime);

    /**
     * 关键词下拉选择项
     */
    List<KeyWord> findKeyWordList(String keyword);

    /**
     * 已上线商品列表
     */
    List<CmProductArchive> findProductList(CmProductArchive cmProductArchive);
}
