package com.caimei365.manager.service.caimei;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmKeywordInfo;
import com.caimei365.manager.entity.caimei.CmPriorKeyword;
import com.caimei365.manager.entity.caimei.KeyWord;
import com.caimei365.manager.entity.caimei.providers.ServiceProviderModel;

import java.util.List;

/**
 * @author zzj
 */
public interface KeyWordService {
    ResponseJson<PaginationVo<KeyWord>> getKeyWordList(String keyWord, Integer searchTimeCode, Integer fromSearch, String beginTime, String endTime, Integer labelStatus, int pageNum, int pageSize);

    ResponseJson findLinkageStatus(String id, Integer linkageStatus);

    ResponseJson joinLabel(String id);

    ResponseJson<PaginationVo<KeyWord>> getRecommendList(String keyword, String beginTime, String endTime, Integer pageNum, Integer pageSize);

    ResponseJson ignoreLabel(String id);

    ResponseJson insertLabel(KeyWord keyWord);

    ResponseJson deleteLabel(String id);

    /**
     * 协销列表
     * @return
     */
    ResponseJson<List<ServiceProviderModel>> getServiceList();

    /**
     * 动态/静态标签列表
     * @param dynamicStatus
     * @param parentLabel
     * @param keyword
     * @param fromSearch
     * @param beginTime
     * @param endTime
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmKeywordInfo>> getStateKeyWordList(Integer dynamicStatus, Integer parentLabel, String keyword, Integer fromSearch, String beginTime, String endTime, Integer serviceProviderId, int pageNum, int pageSize);

    /**
     * 动态标签编辑回显
     * @param id
     * @return
     */
    ResponseJson<CmKeywordInfo> editKeyword(Integer id);

    /**
     * 选择子标签
     * @param keyword
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmKeywordInfo>> getSubtagKeyword(String keyword,  int pageNum, int pageSize);
    /**
     * 保存 动态/静态标签
     * @param cmKeywordInfo
     * @return
     */
    ResponseJson insertKeywordInfo(CmKeywordInfo cmKeywordInfo);

    /**
     * 删除动态标签
     * @param id
     * @return
     */
    ResponseJson deleteTrendsLabel(String id);
    /**
     * 优先展示标签列表
     * @param keyword
     * @param fromSearch
     * @param dynamicStatus
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<CmPriorKeyword>> getPriorKeywordList(String keyword, Integer fromSearch, Integer dynamicStatus, int pageNum, int pageSize);

    /**
     * 选择标签
     * @param keyword
     * @param fromSearch
     * @param dynamicStatus 0 为动态标签 1 静态标签
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseJson<PaginationVo<KeyWord>> getPickKeyword(String keyword, Integer fromSearch, Integer dynamicStatus, int pageNum, int pageSize);
    /**
     * 保存优先展示标签
     * @param searchIds
     * @return
     */
    ResponseJson savePriorKeyword(String searchIds);

    /**
     * 删除优先展示标签
     * @param ids
     * @return
     */
    ResponseJson delPriorKeyword(String ids);

}
