package com.caimei365.manager.service.caimei.impl;

import com.caimei365.manager.dao.AddressMapper;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.AddressSelectVo;
import com.caimei365.manager.service.caimei.AddressService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class AddressServiceImpl implements AddressService {

    @Resource
    private AddressMapper addressMapper;


    @Override
    public ResponseJson<List<AddressSelectVo>> getSelectAddress(Integer parentId, Integer type) {
        if (0 == type) {
            // 获取所有省份列表
            List<AddressSelectVo> provinceList = addressMapper.getAllProvinceList();
            return ResponseJson.success(provinceList);
        } else if (1 == type) {
            // 获取当前省份下的所有城市列表
            List<AddressSelectVo> cityList = addressMapper.getCityListByProvinceId(parentId);
            return ResponseJson.success(cityList);
        } else if (2 == type) {
            // 获取当前城市下的所有地区列表
            List<AddressSelectVo> townList = addressMapper.getTownListByCityId(parentId);
            return ResponseJson.success(townList);
        }
        return ResponseJson.error("地址选项类型错误！", null);
    }
}
