package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.AdvertHits;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Slf4j
public class AdvertHitsListener extends AnalysisEventListener<AdvertHits> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;
    // 首页图片集合
    private Map<String, String> advertImageHomeList;
    // 信息中心图片集合
    private Map<String, String> advertImageInfoList;

    private final Integer SIZE = 3;

    private final List<AdvertHits> dataList = new ArrayList();

    public AdvertHitsListener(Integer marketReportId, CmMarketShopDao marketShopDao, Map<String, String> advertImageHomeList, Map<String, String> advertImageInfoList) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
        this.advertImageHomeList = advertImageHomeList;
        this.advertImageInfoList = advertImageInfoList;
    }

    @Override
    public void invoke(AdvertHits data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------广告图点击量----------");
        System.out.println("dataList======="+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<AdvertHits> dataList) {
        log.info("advertImageHomeList==="+advertImageHomeList);
        log.info("advertImageInfoList==="+advertImageInfoList);
        for (AdvertHits advertHits : dataList){
            advertHits.setMarketReportId(marketReportId);
            advertHits.setHome(advertImageHomeList.get(advertHits.getHome()));
            advertHits.setInfoCenter(advertImageInfoList.get(advertHits.getInfoCenter()));
            marketShopDao.insertMarketAdvertHits(advertHits);
        }
    }
}
