package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.PageDuration;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
public class PageDurationListener extends AnalysisEventListener<PageDuration> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;

    private final Integer SIZE = 3;

    private final List<PageDuration> dataList = new ArrayList();

    public PageDurationListener(Integer marketReportId, CmMarketShopDao marketShopDao) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
    }

    @Override
    public void invoke(PageDuration data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------页面平均时长----------");
        System.out.println("dataList======="+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<PageDuration> dataList) {
        dataList.forEach(pageDuration -> {
            pageDuration.setMarketReportId(marketReportId);
            marketShopDao.insertMarketPageDuration(pageDuration);
        });
    }
}
