package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.dao.user.CmMarketShopDao;
import com.caimei365.manager.entity.caimei.shopImport.Summary;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Slf4j
public class SummaryListener extends AnalysisEventListener<Summary> {

    private Integer marketReportId;

    private CmMarketShopDao marketShopDao;

    private Map<String, String> seoImagePathList;

    private final Integer SIZE = 3;

    private final List<Summary> dataList = new ArrayList();

    public SummaryListener(Integer marketReportId, CmMarketShopDao marketShopDao, Map<String, String> seoImagePathList) {
        this.marketReportId = marketReportId;
        this.marketShopDao = marketShopDao;
        this.seoImagePathList = seoImagePathList;
    }

    @Override
    public void invoke(Summary data, AnalysisContext analysisContext) {
        dataList.add(data);
        if (dataList.size() >= SIZE) {
            saveData(dataList);
            dataList.clear();
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------SEO汇总----------");
        System.out.println("dataList======="+dataList);
        saveData(dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData(List<Summary> dataList) {
        log.info("seoImagePathList===="+seoImagePathList);
        dataList.forEach(summary -> {
            summary.setMarketReportId(marketReportId);
            summary.setSeoRanking(seoImagePathList.get(summary.getSeoRanking()));
            marketShopDao.insertMarketSummary(summary);
        });
    }
}
