package com.caimei365.manager.service.caimei.page;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.page.NewPageAdvertisementImage;
import com.caimei365.manager.entity.caimei.page.NewPageTopAdvertisementImage;
import com.caimei365.manager.entity.caimei.page.NewPageZone;
import com.caimei365.manager.entity.caimei.page.NewPageZoneImage;
import com.caimei365.manager.entity.caimei.product.Product;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/23
 */
public interface NewPageZoneService {

    ResponseJson<PaginationVo<NewPageZone>> getZoneList(int pageNum, int pageSize);

    ResponseJson saveZone(NewPageZone pageZone);

    ResponseJson delZone(Integer id);

    ResponseJson updateEnabledStatus(Integer id, Integer status, Integer type);

    ResponseJson updateSort(Integer id, Integer sort);

    ResponseJson<PaginationVo<Product>> getZoneProductList(Integer id, String shopName, Integer productId, int pageNum, int pageSize);

    ResponseJson delZoneProduct(Integer id, String ids);

    ResponseJson addZoneProduct(Integer id, String ids);

    ResponseJson updateProductSort(Integer id, Integer productId, Integer sort);

    ResponseJson<PaginationVo<NewPageZoneImage>> getZoneImageList(Integer id, int pageNum, int pageSize);

    ResponseJson saveZoneImage(NewPageZoneImage pageZoneImage);

    ResponseJson delZoneImage(Integer imageId);

    ResponseJson updateImageSort(Integer imageId, Integer sort);

    ResponseJson updateImageStatus(Integer imageId, Integer status, Integer type);

    ResponseJson<NewPageZoneImage> getZoneImageForm(Integer imageId);

    ResponseJson<PaginationVo<Product>> getRecommendList(String shopName, Integer productId, int pageNum, int pageSize);

    ResponseJson addRecommendProduct(String ids);

    ResponseJson recommendDel(String ids);

    ResponseJson recommendSort(Integer productId, Integer sort);

    ResponseJson<PaginationVo<NewPageAdvertisementImage>> advertisementList(int pageNum, int pageSize);

    ResponseJson saveAdvertisement(NewPageAdvertisementImage image);

    ResponseJson advertisementSort(Integer id, Integer sort);

    ResponseJson advertisementDel(Integer id);

    ResponseJson<PaginationVo<NewPageTopAdvertisementImage>> topAdvertisementList(int pageNum, int pageSize);

    ResponseJson saveTopAdvertisement(NewPageTopAdvertisementImage image);

    ResponseJson topAdvertisementDel(Integer id);

    ResponseJson updateTopStatus(Integer id, Integer status, Integer type);

    ResponseJson<NewPageAdvertisementImage> advertisementForm(Integer id);

    ResponseJson<NewPageTopAdvertisementImage> topAdvertisementForm(Integer id);

    ResponseJson<PaginationVo<Product>> selectProductList(Integer id, Integer productId, String shopName, String productName, int pageNum, int pageSize);

    ResponseJson<PaginationVo<Product>> recommendProductList(Integer productId, String shopName, String productName, int pageNum, int pageSize);
}
