package com.caimei365.manager.service.caimei.productArchive.impl;

import java.util.Date;
import java.util.List;

import com.caimei365.manager.dao.productArchive.CmProductArchiveMapper;
import com.caimei365.manager.entity.caimei.productArchive.CmProductArchive;
import com.caimei365.manager.service.caimei.productArchive.CmProductArchiveService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;


import javax.annotation.Resource;

/**
 * 商品资料库Service业务层处理
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Service
public class CmProductArchiveServiceImpl implements CmProductArchiveService {
    @Resource
    private CmProductArchiveMapper cmProductArchiveMapper;

    /**
     * 通过对象查询商品资料库列表
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库
     */
    @Override
    public List<CmProductArchive> getCmProductArchiveList(CmProductArchive cmProductArchive) {
        return cmProductArchiveMapper.getCmProductArchiveList(cmProductArchive);
    }

    /**
     * 通过对象查询商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库
     */
    @Override
    public CmProductArchive getCmProductArchive(CmProductArchive cmProductArchive) {
        return cmProductArchiveMapper.getByCmProductArchive(cmProductArchive);
    }


    /**
     * 新增商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 结果
     */
    @Override
    public int addCmProductArchive(CmProductArchive cmProductArchive) {
        if (StringUtils.isBlank(cmProductArchive.getId())) {
            cmProductArchive.setAddTime(new Date());
            return cmProductArchiveMapper.addCmProductArchive(cmProductArchive);
        } else {
            return cmProductArchiveMapper.updateCmProductArchive(cmProductArchive);
        }
    }


}



