package com.caimei365.manager.service.caimei.user.impl;

import com.caimei365.manager.dao.user.ShopMapper;
import com.caimei365.manager.dao.user.UserMapper;
import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.CmShop;
import com.caimei365.manager.entity.caimei.cmUser.User;
import com.caimei365.manager.service.caimei.user.ShopService;
import com.caimei365.manager.utils.Md5Util;
import com.github.pagehelper.PageHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class ShopServiceImpl implements ShopService {

    @Resource
    private ShopMapper shopMapper;
    @Resource
    private UserMapper userMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public ResponseJson addShop(CmShop shop) {
        if (null == shop.getShopId()) {
            //新增
            User user = new User();
            user.setUserOrganizeID(5).setUserIdentity(3).setUserName(shop.getShortName()).setRealName(shop.getLinkMan()).setName(shop.getName())
                    .setManufacturerStatus(90).setSource("3").setRegisterUserTypeID("1").setPassword(Md5Util.md5(shop.getPassword())).setBindMobile(shop.getContractMobile());
            userMapper.addUser(user);
            shop.setShopType(2).setStatus(90).setUserId(Integer.valueOf(user.getUserID()));
            shopMapper.insertShop(shop);
            user.setShopID(shop.getShopId());
            shopMapper.updateUserShopId(user);
        } else {
            User user = new User();
            user.setUserID(shop.getUserId().toString()).setUserOrganizeID(5).setUserIdentity(3).setUserName(shop.getShortName()).setBindMobile(shop.getContractMobile())
                    .setRealName(shop.getLinkMan()).setName(shop.getName()).setManufacturerStatus(shop.getStatus()).setSource("3").setRegisterUserTypeID("1");
            userMapper.updateUser(user);
            shopMapper.updateShop(shop);
        }
        return ResponseJson.success();
    }

    @Override
    public ResponseJson<PaginationVo<CmShop>> shopList(String shopName, String mobile, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<CmShop> shops = shopMapper.findShopList(shopName, mobile);
        PaginationVo<CmShop> pageList = new PaginationVo<>(shops);
        return ResponseJson.success(pageList);
    }


    @Override
    public ResponseJson shopForm(Integer shopId) {
        return ResponseJson.success(shopMapper.getShopForm(shopId));
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public ResponseJson updatePassword(String password, Integer userId) {
        userMapper.updateUser(new User().setUserID(userId.toString()).setPassword(Md5Util.md5(password)));
        return ResponseJson.success();
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public ResponseJson updateStatus(CmShop shop) {
        shopMapper.updateShop(shop);
        userMapper.updateUser(new User().setUserID(shop.getUserId().toString()).setManufacturerStatus(shop.getStatus()));
        return ResponseJson.success();
    }


}
