package com.caimei365.manager.service.caimei.user.impl;

import com.caimei365.manager.dao.user.UserMapper;
import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.ZylShop;
import com.caimei365.manager.entity.caimei.ZylTicket;
import com.caimei365.manager.entity.caimei.ZylTicketDetail;
import com.caimei365.manager.service.caimei.user.ZylService;
import com.github.pagehelper.PageHelper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
@Slf4j
public class ZylTicketImpl implements ZylService {

    @Resource
    private UserMapper userMapper;


    @Override
    public ResponseJson<PaginationVo<ZylTicket>> getTicketList(String mobile, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<ZylTicket> ticketList = userMapper.findTicketList(mobile);
        PaginationVo<ZylTicket> pageList = new PaginationVo<>(ticketList);
        return ResponseJson.success(pageList);
    }

    @Override
    public ResponseJson<List<ZylTicketDetail>> getTicketDetail(Integer userId) {
        List<ZylShop> shops = userMapper.findShops();
        String shopIds = userMapper.findShopIds(userId);
        boolean blank = StringUtils.isBlank(shopIds);
        ArrayList<ZylTicketDetail> zylTicketDetails = new ArrayList<>();
        shops.forEach(s -> {
            Integer flag = 0;
            if (!blank) {
                flag = shopIds.contains(s.getId().toString()) ? 1 : 0;
            }
            ZylTicketDetail zylTicketDetail = new ZylTicketDetail();
            zylTicketDetail.setName(s.getShopName());
            zylTicketDetail.setSignFlag(flag);
            zylTicketDetails.add(zylTicketDetail);
        });
        return ResponseJson.success(zylTicketDetails);
    }

    @Override
    public ResponseJson updateGift(Integer userId) {
        userMapper.updateGift(userId);
        return ResponseJson.success();
    }
}
